Fiscal Harmony API
  1. Currency Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
        GET
      • Get All CurrencyMappings
        GET
      • Add Currency Mapping
        POST
      • Get Specific Currency Mapping
        GET
      • Update Currency Mapping
        PUT
      • Delete Currency Mapping
        DELETE
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Currency Mappings

Get All CurrencyMappings

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/currencymapping
Last modified:2026-02-27 07:08:08
Retrieves a list of all currently available tax mappings on your app.

Request

Header Params

Responses

🟢200
application/json
Returns a CurrencyMapping[]
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/currencymapping' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
[
    {
        "Id": 1,
        "UserId": 2,
        "SourceCurrency": "USD",
        "DestinationCurrency": "USD"
    },
    {
        "Id": 2,
        "UserId": 1,
        "SourceCurrency": "ZIG",
        "DestinationCurrency": "ZWG"
    }
]
Modified at 2026-02-27 07:08:08
Previous
Supported Currencies
Next
Add Currency Mapping
Built with